.loader-overlay {
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    position: fixed;
    background: rgba(0, 0, 0, 0.295);
    z-index: 9999999;
}

.overlay__inner {
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    position: absolute;
}

.overlay__content {
    left: 50%;
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}

.spinner {
    width: 75px;
    height: 75px;
    border-width: 2px;
    border-color: rgba(255, 255, 255, 0.247);
    border-top-color: #000;
    animation: spin 1s infinite linear;
    border-radius: 100%;
    border-style: solid;
}
.loader-text {
    margin-top: 10px;
}
@keyframes spin {
  100% {
    transform: rotate(360deg);
  }
}